
!ClassDescription methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:06'!
duringTestCompileSilently: code
	^ Utilities 
		useAuthor: 'TestsAuthor'
		during: [ 
			 [ self compile: code classified: '' withStamp: nil notifying: nil logSource: true ] fuelValueWithoutNotifications ]! !

!ClassFactoryForTestCase methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 16:10'!
newName
	| postFix |
	postFix := (self createdClasses size + 1) printString.
	^(#ClassForTestToBeDeleted, postFix) asSymbol! !

!GradientFillStyle methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:44'!
= anGradientFillStyle
	"Answer whether equal."

	^super = anGradientFillStyle
		and: [self pixelRamp == anGradientFillStyle pixelRamp] "LRU should make identity equal"! !

!OrientedFillStyle methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:45'!
= anOrientedFillStyle
	"Answer whether equal."

	^self species = anOrientedFillStyle species
		and: [self origin = anOrientedFillStyle origin
		and: [self direction = anOrientedFillStyle direction
		and: [self normal = anOrientedFillStyle normal]]]! !

!FLBasicSerializationTest methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 17:39'!
expectedFailures
	^ #()! !

!Utilities class methodsFor: '*FuelTestsCompatibilityBeforeSqueak45' stamp: 'MaxLeske 12/29/2012 15:08'!
useAuthor: aString during: aBlock
	| previous |
	previous := AuthorInitials.
	AuthorInitials := aString.
	^ aBlock ensure: [ AuthorInitials := previous ]! !
